package com.adealink.weparty.push.manager

import com.adealink.weparty.push.listener.IGetTokenListener
import com.google.firebase.messaging.RemoteMessage

interface IPushService {
    fun onNewToken(token: String)
    fun getToken(listener: IGetTokenListener)
    fun getPushTokenAndReport()
    fun reportToken(token: String)
    fun onReceivedPushMessage(remoteMessage: RemoteMessage)
}